Bug 63927 - php must be reconfigured to work with xhtml
Summary: php must be reconfigured to work with xhtml
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL: http://bugs.php.net/bug.php?id=4288&e...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-22 04:56 UTC by kop
Modified: 2007-03-27 03:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-22 05:01:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kop 2002-04-22 04:56:45 UTC
Description of Problem:

A well formed xhtml page generated with php results in a parse error.


Version-Release number of selected component (if applicable):
php-4.0.6-15


How Reproducible:
always

Steps to Reproduce:
1. 
Make a well formed xhtml php page (say index.php) beginning with:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>

2. 

Try to retreive the page
3. 

Note the <?xml... causes a parse error.


Additional Information:

Turning off short_open_tags in /etc/php.ini fixes the problem.
This should be the default so people can use the new w3 standards
"out of the box."  Current users of short tags are going to have
to deal with the problem when they migrate to xhtml, the rest of
us shouldn't have to suffer, and new users should be discouraged
from using short tags.

Comment 1 Phil Copeland 2002-04-22 05:01:12 UTC
Bad news,..
too late.

This will have to be an errata item

Now if only you'd been 10 days earlier,...

Phil
=--=

Comment 2 Phil Copeland 2002-06-04 18:56:55 UTC
Has been fixed for errata

Closing

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.